Page MenuHomePhabricator

Programmatically applied change tags don't show on Recent Changes
Closed, ResolvedPublic

Description

This task refers only to tags applied via API/scripts (as contrary to manually editing them by means of interface elements such as the Edit tags of selected revisions button on history pages). Steps taken on test.wikipedia.org:

  1. Edit some page through the API specifying a tags parameter with any existing tag (Applied manually...), let's say description. I used Special:ApiSandbox to perform an edit on this page with the mentioned tag.
  2. Go to Special:RecentChanges and check that your edit doesn't show as tagged. You can see there both of my untagged edits on 24th May. The filtered view doesn't show them either.
  3. Go to the history view of the edited page. The revision should be correctly tagged there (my test page), as well as in your contribs page. The corresponding Tagged changes counter on Special:Tags has been incremented, too.

I have first spotted this issue on pl.wiktionary.org. The last registered tagged edits with the only tag available for manual/per script applying (named Skrypt) occured on early 23th May (CET zone), although actually those weren't the last revisions to be tagged as it can be seen in this contribs list.

Event Timeline

PeterBowman raised the priority of this task from to Needs Triage.
PeterBowman updated the task description. (Show Details)
PeterBowman added a subscriber: PeterBowman.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 1:16 AM

Another issue I have encountered at the same time:

  1. Navigate to the history page on which you have recently performed an API tagged edit (see #1 above, it seems to work on pre-23/05 edits), select that revision and click on Edit tags of selected revisions.
  2. Remove the tag and apply changes. Nothing was changed, actually.
PeterBowman added a comment.EditedMay 25 2015, 1:52 AM

The ts_rc_id column on the tag_summary table is empty for those revisions: http://quarry.wmflabs.org/query/3762.

aaron claimed this task.May 25 2015, 6:30 PM
aaron set Security to None.

Change 213602 had a related patch set uploaded (by Aaron Schulz):
Fixed regression from 97b2a1dfd with custom on-edit change tagging

https://gerrit.wikimedia.org/r/213602

Change 213602 merged by jenkins-bot:
Fixed regression from 97b2a1dfd with URL specified edit tags

https://gerrit.wikimedia.org/r/213602

cscott added a subscriber: cscott.EditedMay 27 2015, 6:12 PM

Can we get this SWATted? We use the VE tag to verify parsoid deployments, so we don't feel safe deploying new versions of parsoid until this bug is fixed in production.

(See T100439.)

aaron added a comment.May 27 2015, 6:37 PM

Can we get this SWATted? We use the VE tag to verify parsoid deployments, so we don't feel safe deploying new versions of parsoid until this bug is fixed in production.
(See T100439.)

That should be SWATed, but you'd need https://gerrit.wikimedia.org/r/214101 to fix VE

Aklapper triaged this task as High priority.May 28 2015, 11:38 AM

Change 214388 had a related patch set uploaded (by Jforrester):
Fixed regression from 97b2a1dfd with URL specified edit tags

https://gerrit.wikimedia.org/r/214388

Change 214389 had a related patch set uploaded (by Jforrester):
Fixed regression from 97b2a1dfd with URL specified edit tags

https://gerrit.wikimedia.org/r/214389

Elitre added a subscriber: Elitre.May 28 2015, 7:21 PM
Jdforrester-WMF closed this task as Resolved.May 28 2015, 8:37 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.

Change 214388 merged by jenkins-bot:
Fixed regression from 97b2a1dfd with URL specified edit tags

https://gerrit.wikimedia.org/r/214388

Change 214389 merged by jenkins-bot:
Fixed regression from 97b2a1dfd with URL specified edit tags

https://gerrit.wikimedia.org/r/214389